[Résolu] impossible ouvrir une vieille base [MacOS]

Discussions sur le module de base de données Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers.
Les questions sur les macros doivent être postées dans la section dédiée en dessous.

Modérateur: Vilains modOOs

Règles du forum
Cette section est dédiée au module Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers. Vous ne devez pas poster ici de questions sur les macros mais utiliser la section éponyme.
Pour accélérer les réponses, vous pouvez mettre en ligne votre base en joignant un fichier ODB : comment faire.

[Résolu] impossible ouvrir une vieille base [MacOS]

Messagepar longin » 23 Avr 2019 17:42


La modération a écrit:libre office est inutile dans le titre.

Bonjour,

Suite à migration de PC sur Mac je n’arrive plus a ouvrir une vielle base libre office.

je suis sur MacBook 2017 sur mojave 10.14.4
j’ai installé libre office Version: 6.2.2.2

1) j’ai installé le java pour Mac depuis appstor.
java -version
imac-de-olivi2-2:~ olivi2$ java -version
java version "12.0.1" 2019-04-16
Java(TM) SE Runtime Environment (build 12.0.1+12)
Java HotSpot(TM) 64-Bit Server VM (build 12.0.1+12, mixed mode, sharing)
imac-de-olivi2-2:~ olivi2$

2) j’ai installé le jdk-12.0.1_osx-x64_bin

3) je peux créer une nouvelle base sans problème.

4) quand je veux ouvrir mon ancienne base j’ai le
The connection to the data source "intuition 6" could not be established.
The driver class 'org.hsqldb.jdbcDriver' could not be loaded.The additional driver class path is 'vnd.sun.star.expand:$LO_JAVA_DIR/hsqldb.jar vnd.sun.star.expand:$LO_JAVA_DIR/sdbc_hsqldb.jar'.


Malgré mes recherches sur internet, je n’ai pas trouvé de solution.
Merci de votre aide par avance
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vielle base

Messagepar tintin » 23 Avr 2019 21:00

Bonjour et bienvenue,

Je n'utilise LibreOffice que pour le forum.

J'ai 2 MacBook Pro :
1 avec High Sierra (10.13.6) avec jdk6 + jre 8u211
1 avec Mojave (10.14.4) avec jdk6 + jre 8u211

J'ai installé jdk-12.0.1_osx-x64_bin sur la machine 10.13.6 après avoir désinstallé le jre.

Avec une Base de données ouverte avec LibO 6.1.5, j'ai comme vous
Impossible d'établir la connexion à la source de données "base_adresses".

La classe de pilote 'org.hsqldb.jdbcDriver' n'a pas pu être chargée.Le chemin de classe du pilote supplémentaire est 'vnd.sun.star.expand:$LO_JAVA_DIR/hsqldb.jar vnd.sun.star.expand:$LO_JAVA_DIR/sdbc_hsqldb.jar'.

Avec la même Base de données ouverte avec Openoffice 4.1.6
Impossible d'établir la connexion à la source de données "base_adresses".

La classe de pilote 'org.hsqldb.jdbcDriver' n'a pas pu être chargée.Le chemin de classe du pilote supplémentaire est 'vnd.sun.star.expand:$OOO_DIR/program/classes/hsqldb.jar vnd.sun.star.expand:$OOO_DIR/sdbc_hsqldb.jar'.
Somme toute, ce sont les mêmes messages que le vôtre.

Incapable de vous l'expliquer, je ne peux vous donner que ce que j'observe. Il faudra attendre la passage d'un spécialiste pour analyser la teneur de ces messages.

J'ai désinstallé le jdk-12.0.1, et installé le jdk-8u201 (que j'avais conservé en archive) sur le mac High Sierra et n'observe pas ce désagrément avec la même base de données, ni sur OpenOffice ni sur LibreOffice.

Comme dit dans ce fil, je ne vais pas me précipiter pour installer ce jdk 12.0.1 sur ma machine principale. Merci Oracle :twisted:

PS : Une question. Vous utilisez LibO en version anglaise ?
AOO 4.1.7 / macOS 10.15 Catalina
Java-8u231 / Firefox / Safari / Thunderbird / Time Machine
Pour préserver vos documents, faites régulièrement des sauvegardes.
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 6243
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: impossible ouvrir une vieille base

Messagepar longin » 24 Avr 2019 09:31

Bonjour, merci pour la réponse rapide

L'ancienne base est en français.
Mac actuellement je suis sur la version de LibreOffice Anglais, car je n'ai pas trouvé le kit français pour la Version: 6.2.2.2.

Encore merci.

Ps attention je précise je suis un débutant sur les bases.
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vieille base

Messagepar micmac » 24 Avr 2019 09:32

Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 6119
Inscrit le : 28 Août 2010 09:45

Re: impossible ouvrir une vieille base

Messagepar longin » 24 Avr 2019 10:13

rebonjour,

J’ai refait l’installation avec la procédure.

Donc maintenant je suis en LibreOffice Version: 6.1.5.2
en francais.

Même problème.
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vieille base

Messagepar longin » 24 Avr 2019 10:14

voici le message
La classe de pilote 'org.hsqldb.jdbcDriver' n'a pas pu être chargée.Le chemin de classe du pilote supplémentaire est 'vnd.sun.star.expand:$LO_JAVA_DIR/hsqldb.jar vnd.sun.star.expand:$LO_JAVA_DIR/sdbc_hsqldb.jar'.


Mille excuses.

Donc je désinstalle jdk-12.0.1.
Et je réinstalle le l'ancienne version jdk-8u201?

Je m’en occupe dans la journée.

encore merci.
Dernière édition par longin le 25 Avr 2019 09:47, édité 1 fois.
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vieille base

Messagepar tintin » 24 Avr 2019 10:19

Évitez de poster plusieurs messages à la suite. Vous disposez d'un bouton Éditer en haut à droite de chaque message et d'un autre bouton ajout si vous désirez ajouter un complément lorsqu'il n'y a pas de réponse.

Puisqu'avec l'ancienne version jdk-8u201 tout fonctionne normalement, le problème fait suite à l'installation du jdk-12.0.1.
Attendons le passage d'une personne qui pourra décortiquer ce message.

longin a écrit:je suis en LibreOffice Version: 6.1.5.2
Accès direct à votre signature pour la corriger.
AOO 4.1.7 / macOS 10.15 Catalina
Java-8u231 / Firefox / Safari / Thunderbird / Time Machine
Pour préserver vos documents, faites régulièrement des sauvegardes.
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 6243
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: impossible ouvrir une vieille base

Messagepar micmac » 25 Avr 2019 10:02

Bonjour,

Vous avez complété votre précédent message le 25 Avr 2019 10:47 par un ajout mais sans les balises [ajout].
Ce faisant, on pourrait ne plus rien comprendre.
longin a écrit:Donc je désinstalle jdk-12.0.1.
Et je réinstalle le l'ancienne version jdk-8u201?
Il semble que vous n'avez pas compris le dernier message de tintin.
Les ajouts s'insèrent lorsqu'il n'y a pas de réponse à votre dernier post, ce qui n'était pas le cas. Il fallait donc poster à la suite.

Concernant la désinstallation de jdk-12.0.1 et la réinstallation de jdk-8u201 (si vous l'avez conservé), c'est à vous de voir.

Suivez la procédure décrite dans ce tutoriel, mais au lieu de
Code : Tout sélectionner   AgrandirRéduire
sudo rm -rf jdk1
saisissez
Code : Tout sélectionner   AgrandirRéduire
sudo rm -rf jdk-12.0.1.jdk
puis tapez directement sur la touche Entrée et la suite.

Ensuite, installez le jdk-8u201.dmg. Le tutoriel adapté : viewtopic.php?f=40&t=52443

Je note que votre signature n'a pas été mise à jour de la version de lIbreOffice 6.1.5 que vous dites avoir installé. Nous comptons sur vous pour y remédier.
Accès direct à votre signature pour la corriger.

Cordialement
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 6119
Inscrit le : 28 Août 2010 09:45

Re: impossible ouvrir une vieille base

Messagepar tintin » 25 Avr 2019 10:22

Une autre solution, travaillez sur OpenOffice qui accepte les dernières versions du JRE Oracle. Même tutoriel : viewtopic.php?f=40&t=52443
AOO 4.1.7 / macOS 10.15 Catalina
Java-8u231 / Firefox / Safari / Thunderbird / Time Machine
Pour préserver vos documents, faites régulièrement des sauvegardes.
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 6243
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: impossible ouvrir une vieille base [MacOS]

Messagepar longin » 25 Avr 2019 20:46

Bonsoir,

Pour LibreOffice je ne peux sélectionnés le jre dans LibreOffice Menu LibreOffice > Préférences > LibreOffice > Avancé. Il n’y a rien à sélectionner.

Pour open office tous marche.
toutefois je vais quand même reprendre pour faire fonctionner sur libre office.

grand merci
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vieille base [MacOS]

Messagepar tintin » 25 Avr 2019 21:11

longin a écrit:Pour LibreOffice je ne peux sélectionnés le jre dans LibreOffice Menu LibreOffice > Préférences > LibreOffice > Avancé. Il n’y a rien à sélectionner.

LibreOffice ne fonctionne pas avec la combinaison jdk6+jre qu'il ne reconnaît pas.
C'est écrit dans le tutoriel.
Il faudrait installer le jdk-8u201, dernière version Oracle téléchargeable gratuitement (c-à-d avant l'obligation d'ouvrir un compte Oracle) .

Vous disiez ci-dessus que vous désinstalliez jdk-12.0.1 et installiez jdk-8u201
Où en-êtes-vous exactement ?
AOO 4.1.7 / macOS 10.15 Catalina
Java-8u231 / Firefox / Safari / Thunderbird / Time Machine
Pour préserver vos documents, faites régulièrement des sauvegardes.
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 6243
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: impossible ouvrir une vieille base [MacOS]

Messagepar tintin » 27 Avr 2019 13:44

Bonjour,

Je poste ce message pour faire remonter le sujet.

Après l'essai du jdk-12.0.1 qui ne m'a pas convaincu, l'essai de openjdk-12.0.1_osx-x64_bin.tar n'a pas été plus convaincant.

La base utilisée ci-dessus m'a envoyé le message que l'on connait
openjdk-12.0.1.png

Je confirme que cette base fonctionne parfaitement sur OpenOffice avec le jre-8u211 et sur LibreOffice avec le jdk-8u201.

Comme déjà écrit, mes compétences s'arrêtent là.
AOO 4.1.7 / macOS 10.15 Catalina
Java-8u231 / Firefox / Safari / Thunderbird / Time Machine
Pour préserver vos documents, faites régulièrement des sauvegardes.
Avatar de l’utilisateur
tintin
GourOOu
GourOOu
 
Message(s) : 6243
Inscrit le : 18 Juil 2008 16:29
Localisation : F-Oise + F-Savoie

Re: impossible ouvrir une vieille base [MacOS]

Messagepar HRk2o » 27 Avr 2019 14:54

Bjr Tintin,

je m'incruste ds cette échange car je constate moi aussi de grandes difficultés à faire fonctionner les bases sur un macbook Air sous Mojave.
Pour ma part, l'installation de Java jre-8u211 sous Openoffice 4.16 s'est bien passée.
Les formulaires s'ouvrent et les macros fonctionnent correctement.
Par contre, l'exécution des rapports est bloqué et un message demande un jdk que je n'ai pas pu encore installer sans ouvrir de compte :evil:
Je pense donc que le jdk est indispensable pour les rapports.
As-tu un lien où il serait possible de télécharger le jdk 8u-201 librement sans compte?

Remerciements!
@+
AOO 4.17 et LO 5.47 sous OsX 10.13.6 High Sierra ; Windows 10 sous AOO 4.16 et LibO 5.4.7
HRk2o
Membre cOOnfirmé
Membre cOOnfirmé
 
Message(s) : 243
Inscrit le : 29 Mai 2009 09:51
Localisation : Guyane

Re: impossible ouvrir une vieille base [MacOS]

Messagepar longin » 27 Avr 2019 20:28

Bonsoir;

avec le couple jre-8u211 et sur LibreOffice avec le jdk-8u201 cela semble fonctionner.

Je teste sur les rapports, cela semble fonctionner. Je dois juste dire que je me suis inscrit chez oracle.( je ne connais pas l’incidence ).

Je vous vous merci tous encore.
libreoffice Version: 6.2.2.2
MacBook Air 2017 mojav 10.14.4
longin
Fraîchement OOthentifié
 
Message(s) : 6
Inscrit le : 23 Avr 2019 10:12

Re: impossible ouvrir une vieille base [MacOS]

Messagepar micmac » 27 Avr 2019 22:22

Bonjour,

Si votre question est résolue il faut le faire savoir. Comment baliser Image[Résolu]

Bien à vous
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 6119
Inscrit le : 28 Août 2010 09:45


Retour vers Base de données

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 4 invité(s)